Bug 716573 - RFE: Allow ulimit -n (open files) value for vdsmd to be set in vdsm.conf
Summary: RFE: Allow ulimit -n (open files) value for vdsmd to be set in vdsm.conf
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.3.4
Assignee: Dan Kenigsberg
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-25 01:03 UTC by Mark Huth
Modified: 2016-04-18 06:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-26 19:50:56 UTC
oVirt Team: ---


Attachments (Terms of Use)
patch 1 of 2: in /etc/rc.d/init.d/vdsmd, use get-config-item to fetch the max_open_files value from vdsm.conf (400 bytes, patch)
2011-06-25 01:03 UTC, Mark Huth
no flags Details | Diff
patch 2 of 2: document max_open_files in vdsm.conf.sample (386 bytes, patch)
2011-06-25 01:05 UTC, Mark Huth
no flags Details | Diff

Description Mark Huth 2011-06-25 01:03:35 UTC
Created attachment 509865 [details]
patch 1 of 2: in /etc/rc.d/init.d/vdsmd, use get-config-item to fetch the max_open_files value from vdsm.conf

Description of problem:
We had a case recently where the customer was encountering errors in vdsm.log similar to: IOError: [Errno 24] Too many open files: '/proc/mounts'
... and vdsmd was dying.

A value of 4096 is hardcoded into /etc/rc.d/init.d/vdsmd:
[ `ulimit -n` -lt 4096 ] && ulimit -n 4096

It would be 'nicer' to be able to control this via the vdsm.conf file, in case it needs to be made higher than 4096.

Attached files provide a mechanism to do this.

Version-Release number of selected component (if applicable):
Latest RHEVH

Comment 1 Mark Huth 2011-06-25 01:05:07 UTC
Created attachment 509866 [details]
patch 2 of 2: document max_open_files in vdsm.conf.sample

Comment 2 Dan Kenigsberg 2011-06-26 13:02:53 UTC
Yeah, hard-coded constants are not nice. Let's consider it for 6.3

Comment 3 Dan Kenigsberg 2011-12-14 10:39:24 UTC
We should have `ulimit -u` configurable, too.

Comment 4 Dan Kenigsberg 2011-12-17 21:11:23 UTC
oops, 
http://gerrit.usersys.redhat.com/948

already committed Mon Oct 3 10:39:28 2011 +0200

posted another patch for max processes
http://gerrit.ovirt.org/638


Note You need to log in before you can comment on or make changes to this bug.